Loading...
Searching...
No Matches
Opm::FlowThresholdPressure< TypeTag > Class Template Reference

This class calculates the threshold pressure for grid faces according to the Eclipse Reference Manual. More...

`#include <FlowThresholdPressure.hpp>`

Inheritance diagram for Opm::FlowThresholdPressure< TypeTag >:

## Public Member Functions

| FlowThresholdPressure (const Simulator &simulator)
void | finishInit ()
| Actually compute the threshold pressures over a face as a pre-compute step.
Public Member Functions inherited from Opm::GenericThresholdPressure< GetPropType< TypeTag, Properties::Grid >, GetPropType< TypeTag, Properties::GridView >, GetPropType< TypeTag, Properties::ElementMapper >, GetPropType< TypeTag, Properties::Scalar > >
| GenericThresholdPressure (const CartesianIndexMapper &cartMapper, const GridView &gridView, const ElementMapper &elementMapper, const EclipseState &eclState)
Scalar | thresholdPressure (int elem1Idx, int elem2Idx) const
| Returns the theshold pressure [Pa] for the intersection between two elements.
const std::vector< Scalar > & | data () const
| Return the raw array with the threshold pressures.
void | setFromRestart (const std::vector< double > &values)
| Set the threshold pressures from a raw array.
std::vector< Scalar > | getRestartVector () const
| Returns a fully expanded vector for restart file writing.
bool | enableThresholdPressure () const

## Additional Inherited Members

Public Types inherited from Opm::GenericThresholdPressure< GetPropType< TypeTag, Properties::Grid >, GetPropType< TypeTag, Properties::GridView >, GetPropType< TypeTag, Properties::ElementMapper >, GetPropType< TypeTag, Properties::Scalar > >
using | CartesianIndexMapper
using | LookUpData
using | LookUpCartesianData
Protected Member Functions inherited from Opm::GenericThresholdPressure< GetPropType< TypeTag, Properties::Grid >, GetPropType< TypeTag, Properties::GridView >, GetPropType< TypeTag, Properties::ElementMapper >, GetPropType< TypeTag, Properties::Scalar > >
void | finishInit ()
| Actually compute the threshold pressures over a face as a pre-compute step.
void | applyExplicitThresholdPressures_ ()
void | configureThpresft_ ()
void | logPressures ()
Protected Attributes inherited from Opm::GenericThresholdPressure< GetPropType< TypeTag, Properties::Grid >, GetPropType< TypeTag, Properties::GridView >, GetPropType< TypeTag, Properties::ElementMapper >, GetPropType< TypeTag, Properties::Scalar > >
const CartesianIndexMapper & | cartMapper_
const GridView & | gridView_
const ElementMapper & | elementMapper_
const LookUpData | lookUpData_
const LookUpCartesianData | lookUpCartesianData_
const EclipseState & | eclState_
std::vector< Scalar > | thpresDefault_
std::vector< Scalar > | thpres_
unsigned | numEquilRegions_
std::vector< unsigned short > | elemEquilRegion_
std::vector< Scalar > | thpresftValues_
std::vector< int > | cartElemFaultIdx_
bool | enableThresholdPressure_
bool | restart_

## Detailed Description

template<class TypeTag>
class Opm::FlowThresholdPressure< TypeTag >

This class calculates the threshold pressure for grid faces according to the Eclipse Reference Manual.

If the difference of the pressure potential between two cells is below the threshold pressure, the pressure potential difference is assumed to be zero, if it is larger than the threshold pressure, it is reduced by the threshold pressure.

The documentation for this class was generated from the following file:

- opm/simulators/flow/FlowThresholdPressure.hpp